Skip to content

List the secret names for an environment

GET
/api/v3/organizations/{api_organisation}/applications/{api_application}/environments/{api_environment}/secrets
curl --request GET \
--url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/secrets \
--header 'Authorization: Bearer <token>'

Returns the names of the environment’s secrets. Secret values are write-only and are never returned.

api_organisation
required
string

The organisation ID

Example
test-org
api_application
required
string

The application ID

Example
test-app
api_environment
required
string

The environment ID

Example
test-env

The secret names

Media typeapplication/json
Array<object>
object
key
required

The secret name

string
Example
[
{
"key": "DB_PASSWORD"
}
]